using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class StartReverseProxyPacket : IPacket
{
	public int ServerPort { get; set; }

	public StartReverseProxyPacket()
	{
	}

	public StartReverseProxyPacket(int serverPort)
	{
		ServerPort = serverPort;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(ServerPort);
	}

	public void Read(BinaryReader r)
	{
		ServerPort = r.ReadInt32();
	}
}
